Bug 101973 - System hangs when using gnome floppy formmatter gfloppy
System hangs when using gnome floppy formmatter gfloppy
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-08-08 10:11 EDT by Frank Frankert
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Frankert 2003-08-08 10:11:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When trying to format floppy disks using the floppy formatter via the system
tools menu my system "locks up/hangs". The floppy light is stuck on and the only
way to recover is to power off and on.  I have built 4 identical system and they
all do the same thing.

Version-Release number of selected component (if applicable):
ver 2.0

How reproducible:

Steps to Reproduce:
1. Place floppy disk in drive
2. Navigate to floppy formatter thru the main menu and system tools
3. Choose options and click format

Actual Results:  The system will access the floppy and start the format progress
bar.  Then some seconds later everything stops and the system is dead.

Expected Results:  Formatting of floppy should have continued until the
fornatting is complete.

Additional info:

4 systems setup the same. Updated Bios Award 1004 and kernel: Linux version
ASUS P4S800 SIS 648FX motherboard
3GHz Intel CPU 800MHzFSB
1G DDR 400 memory
2-Maxtor 120Gig hard drives
8X AGP Geforce 4 64meg apollo graphics
Comment 1 Rafa Asenjo 2003-09-23 05:04:22 EDT
The same happens in my system with kfloppy (kdeutils-3.1-4, KFloppy: 2.0)
Besides, this seams to be related with bug 99299 (umounting /dev/fd0 after write
hangs the system and reset button is the only way to restart). However I was 
able to write to floppy and successfully umount it once.

Details of my system:
Linux version 2.4.20-8
Pentium(R) 4 CPU 2.40GHz
ASUS P4S533-X motherboard
AGP 4x GeForce 4 MX/Ti 
Driver: NVRM version: NVIDIA Linux x86 Kernel Module  1.0-4363
Comment 2 Rafa Asenjo 2003-09-26 04:09:32 EDT
Even VMWare hangs the whole system when writing to floppy in Windows98
Comment 3 Alexander Larsson 2003-10-06 11:24:06 EDT
This seems more like a kernel bug. gfloppy shouldn't be able to do that.
Comment 4 Dan Horak 2004-01-14 08:29:29 EST
I have the same problem in RHEL 3.0 with kernel 2.4.21-4.0.2. Another 
report is described at 

Problably a bad hardware/BIOS which kernel cannot work-around ;-)
Comment 5 Havoc Pennington 2004-05-25 14:41:47 EDT
This sounds like a "can't fix" but anyway reassigning.
Comment 6 Bugzilla owner 2004-09-30 11:41:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.